Bug 432580 - Review Request: ffsb - The Flexible Filesystem Benchmark
Review Request: ffsb - The Flexible Filesystem Benchmark
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-12 21:47 EST by Eric Sandeen
Modified: 2008-02-15 00:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 00:47:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-02-12 21:47:21 EST
Spec URL: http://sandeen.fedorapeople.org/ffsb/ffsb.spec
SRPM URL: http://sandeen.fedorapeople.org/ffsb/ffsb-5.2.1-1.fc8.src.rpm
The Flexible Filesystem Benchmark (FFSB) is a cross-platform filesystem
performance measurement tool. It uses customizable profiles to measure
of different workloads, and it supports multiple groups of threads
across multiple filesystems.
Comment 1 Parag AN(पराग) 2008-02-12 22:38:30 EST
+ is OK
- is Need work

+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=421570
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
b58c515d990886cab69b7d9b726536cd  ffsb-5.2.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
- Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

  1)Use macros in %files section also. use %{_bindir}
  2)you can use defattr as defattr(-,root,root,-)

I am waiting for koji build to finish to see it builds on all archs.
Comment 2 Parag AN(पराग) 2008-02-12 22:39:31 EST
oops. I changed flag to fedora-review+ before koji build finishes.
Comment 3 Eric Sandeen 2008-02-12 22:59:29 EST
>  1)Use macros in %files section also. use %{_bindir}

oops meant to; quickly put in /usr/bin/ because I couldn't remember the macro
name :)

Will fix those up.

Comment 4 Eric Sandeen 2008-02-12 23:02:21 EST
updated files posted at same urls.
Comment 5 Eric Sandeen 2008-02-12 23:18:57 EST
Koji was sad but now building:
Comment 6 Parag AN(पराग) 2008-02-12 23:59:00 EST
thanks for the build

Comment 7 Eric Sandeen 2008-02-13 00:06:23 EST
Thanks for the quick review!

New Package CVS Request
Package Name: ffsb
Short Description: The Flexible Filesystem Benchmark
Owners: sandeen
Branches: F-8
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-02-13 12:38:39 EST
cvs done.
Comment 9 Eric Sandeen 2008-02-15 00:47:11 EST
All set, thanks!

Note You need to log in before you can comment on or make changes to this bug.